VST 3 Examples: IndexedParameter Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IndexedParameter Class Reference

`#include <mdaParameter.h>`

Inheritance diagram for IndexedParameter:

## Public Member Functions
| IndexedParameter (const TChar *title, const TChar *units, int32 stepCount, ParamValue defaultValueNormalized, int32 flags, int32 tag, UnitID unitID=kRootUnitId)
ParamValue | toPlain (ParamValue _valueNormalized) const SMTG_OVERRIDE
ParamValue | toNormalized (ParamValue plainValue) const SMTG_OVERRIDE
void | toString (ParamValue _valueNormalized, String128 string) const SMTG_OVERRIDE
bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
void | setIndexString (int32 index, const String128 str)
Public Member Functions inherited from BaseParameter
| BaseParameter (const TChar *title, const TChar *units, int32 stepCount, ParamValue defaultValueNormalized, int32 flags, int32 tag, UnitID unitID=kRootUnitId)
bool | setNormalized (ParamValue v) SMTG_OVERRIDE
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=0, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
virtual const ParameterInfo & | getInfo () const
virtual ParameterInfo & | getInfo ()
virtual void | setUnitID (UnitID id)
virtual UnitID | getUnitID ()
ParamValue | getNormalized () const
virtual int32 | getPrecision () const
virtual void | setPrecision (int32 val)

## Protected Member Functions
| ~IndexedParameter ()

## Protected Attributes
String128 * | indexString

## Additional Inherited Members
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Constructor & Destructor Documentation

IndexedParameter | ( | const TChar * | title,
|  | const TChar * | units,
|  | int32 | stepCount,
|  | ParamValue | defaultValueNormalized,
|  | int32 | flags,
|  | int32 | tag,
|  | UnitID | unitID = `kRootUnitId`
| ) |  |

~IndexedParameter | ( |  | ) |
| protected

## Member Function Documentation

ParamValue toPlain | ( | ParamValue | _valueNormalized | ) | const
| virtual

Reimplemented from Parameter.

ParamValue toNormalized | ( | ParamValue | plainValue | ) | const
| virtual

Reimplemented from Parameter.

void toString | ( | ParamValue | _valueNormalized,
|  | String128 | string
| ) |  | const
| virtual

Reimplemented from Parameter.

bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized
| ) |  | const
| virtual

Reimplemented from BaseParameter.

void setIndexString | ( | int32 | index,
|  | const String128 | str
| ) |  |

## Member Data Documentation

String128* indexString
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.